<?php

//namespace XF\Service\Upgrade;

use XF\Service\AbstractService;

class ValidatorService extends AbstractService
{
	/**
	 * @var \XFUpgrader
	 */
	protected $upgrader;

	protected function setup()
	{
		require_once \XF::getRootDirectory() . '/src/XF/Install/_upgrader/core.php';

		$this->upgrader = new \XFUpgrader();
	}
/*
	public function canAttempt(&$error = null)
	{
		return $this->upgrader = new \XFUpgrader();
	}

	public function validateUpgradeFile($file, &$error = null)
	{
		return $this->upgrader = new \XFUpgrader();
	}
	*/
}
